Retrieve Status
curl --request POST \
--url https://flickopenapi.co/merchant/bvn-account-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bvn": "111222444112"
}
'import requests
url = "https://flickopenapi.co/merchant/bvn-account-lookup"
payload = { "bvn": "111222444112" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '111222444112'})
};
fetch('https://flickopenapi.co/merchant/bvn-account-lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/bvn-account-lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bvn' => '111222444112'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/bvn-account-lookup"
payload := strings.NewReader("{\n \"bvn\": \"111222444112\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/bvn-account-lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bvn\": \"111222444112\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/bvn-account-lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bvn\": \"111222444112\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Operation successful",
"data": {
"pageId": "OpAhO1MxZVNt",
"link": "https://bvn-accoount-lookup-499718.app/pages/OpAhO1MxZVNt"
}
}Account LookUp
Retrieve Status
Getting your Banks Retrieve Status with Flick
POST
/
merchant
/
bvn-account-lookup
Retrieve Status
curl --request POST \
--url https://flickopenapi.co/merchant/bvn-account-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bvn": "111222444112"
}
'import requests
url = "https://flickopenapi.co/merchant/bvn-account-lookup"
payload = { "bvn": "111222444112" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '111222444112'})
};
fetch('https://flickopenapi.co/merchant/bvn-account-lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/bvn-account-lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bvn' => '111222444112'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/bvn-account-lookup"
payload := strings.NewReader("{\n \"bvn\": \"111222444112\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/bvn-account-lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bvn\": \"111222444112\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/bvn-account-lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bvn\": \"111222444112\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Operation successful",
"data": {
"pageId": "OpAhO1MxZVNt",
"link": "https://bvn-accoount-lookup-499718.app/pages/OpAhO1MxZVNt"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Getting your Flick banks lookup
Example:
"111222444112"